# ACE_RMCast::Socket_Impl Class Reference

Inheritance diagram for ACE_RMCast::Socket_Impl:

[legend]
Collaboration diagram for ACE_RMCast::Socket_Impl:

[legend]
List of all members.

## Public Member Functions

| ~Socket_Impl ()
| Socket_Impl (Address const &a, bool loop, Parameters const &params)
void | send_ (void const *buf, size_t s)
ssize_t | recv_ (void *buf, size_t s, ACE_Time_Value const *timeout, ACE_INET_Addr *from)
ssize_t | size_ (ACE_Time_Value const *timeout)
ACE_HANDLE | get_handle_ ()

## Private Member Functions

virtual void | recv (Message_ptr m)

## Private Attributes

bool | loop_
Parameters const | params_
Mutex | mutex_
Condition | cond_
ACE_Unbounded_Queue< Message_ptr > | queue_
ACE_Pipe | signal_pipe_
ACE_Auto_Ptr< Fragment > | fragment_
ACE_Auto_Ptr< Reassemble > | reassemble_
ACE_Auto_Ptr< Acknowledge > | acknowledge_
ACE_Auto_Ptr< Retransmit > | retransmit_
ACE_Auto_Ptr< Flow > | flow_
ACE_Auto_Ptr< Link > | link_

## Constructor & Destructor Documentation

ACE_RMCast::Socket_Impl::~Socket_Impl | ( |  | ) |

ACE_RMCast::Socket_Impl::Socket_Impl | ( | Address const & | a,
|  | bool | loop,
|  | Parameters const & | params
| ) |

## Member Function Documentation

ACE_HANDLE ACE_RMCast::Socket_Impl::get_handle_ | ( |  | ) |

void ACE_RMCast::Socket_Impl::recv | ( | Message_ptr | m | ) | `[private, virtual]`

| Reimplemented from ACE_RMCast::In_Element.

ssize_t ACE_RMCast::Socket_Impl::recv_ | ( | void * | buf,
|  | size_t | s,
|  | ACE_Time_Value const * | timeout,
|  | ACE_INET_Addr * | from
| ) |

void ACE_RMCast::Socket_Impl::send_ | ( | void const * | buf,
|  | size_t | s
| ) |

ssize_t ACE_RMCast::Socket_Impl::size_ | ( | ACE_Time_Value const * | timeout | ) |

## Member Data Documentation

ACE_Auto_Ptr<Acknowledge> ACE_RMCast::Socket_Impl::acknowledge_`[private]`

Condition ACE_RMCast::Socket_Impl::cond_`[private]`

ACE_Auto_Ptr<Flow> ACE_RMCast::Socket_Impl::flow_`[private]`

ACE_Auto_Ptr<Fragment> ACE_RMCast::Socket_Impl::fragment_`[private]`

ACE_Auto_Ptr<Link> ACE_RMCast::Socket_Impl::link_`[private]`

bool ACE_RMCast::Socket_Impl::loop_`[private]`

Mutex ACE_RMCast::Socket_Impl::mutex_`[private]`

Parameters const ACE_RMCast::Socket_Impl::params_`[private]`

ACE_Unbounded_Queue<Message_ptr> ACE_RMCast::Socket_Impl::queue_`[private]`

ACE_Auto_Ptr<Reassemble> ACE_RMCast::Socket_Impl::reassemble_`[private]`

ACE_Auto_Ptr<Retransmit> ACE_RMCast::Socket_Impl::retransmit_`[private]`

ACE_Pipe ACE_RMCast::Socket_Impl::signal_pipe_`[private]`

The documentation for this class was generated from the following file:

- Socket.cpp